import { defineComponent, computed, ref } from "vue";
import Test from '@/test.tsx';

export default defineComponent({
    name: "app-root",
    setup() {
        const count = ref(0);
        const countDouble = computed(() => count.value * 2);
        count.value++;
        return () => (
            <div class="app-main">
                <button class="test" onClick={() => count.value++}>Click me!</button>
                <div>Count: {count.value}</div>
                <div>Count Double: {countDouble.value}</div>
                <Test />
            </div>
        );
    },
});
